<< plq_max | plq | plq_me_max_scale >>

CCA (Computational Convex Analysis) >> plq > plq_me

# plq_me

Piecewise linear quadratic (plq), Moreau envelope

### Calling Sequence

    plqme = plq_me(plqf,lambda,isConvex)

### Parameters

plqf

  matrix. A plq function with dimensions n x 4.

lambda

  constant, positive smoothing parameter.

isConvex

  %t or %f, weather plqf is convex or non-convex.

plqme

  matrix. A plq function with dimensions n x 4.

### Description

Compute the Moreau envelope (ME) transform of a convex plq function, where the input and output is given in the form of a plq matrix. The Moreau Envelope is computed using the formula:

### Examples

    lambda=1;
    fctn = [%inf,1/2,0,0];
    result = plq_me(fctn,lambda);

### See Also

- plq_function

### Authors

`Mike Trienis`, University of British Columbia, BC, Canada

### Used Functions

plq_me_max_scale is called when nonconvexity conditions apply.

<< plq_max | plq | plq_me_max_scale >>